#!/usr/bin/perl

use strict;
use Test::More;

my $nbtest;
BEGIN { $nbtest += 1; }
my $res;

$res = FDN::Etebac::Sepa::__char_to_num("12345");
is ( $res, '12345', '__char_to_num' );
$res = FDN::Etebac::Sepa::__char_to_num("ABCDZ");
is ( $res, '1011121335', '__char_to_num' );
$res = FDN::Etebac::Sepa::__char_to_num('abcdz');
is ( $res, '1011121335', '__char_to_num' );
$res = FDN::Etebac::Sepa::__char_to_num('98aBcY0');
is ( $res, '98101112340', '__char_to_num' );
BEGIN { $nbtest += 4; }

$res = rib_to_iban('30004', '02195', '00000246774', '91');
is ( $res, 'FR7630004021950000024677491', 'rib_to_iban' );
$res = rib_to_bic('30004', '02195', '00000246774', '91');
is ( $res, 'BNPAFRPP', 'rib_to_bic' );
BEGIN { $nbtest += 2; }

BEGIN { plan tests => $nbtest; }
BEGIN { use_ok('FDN::Etebac::Sepa'); }

